












Beta Users Endpoints
(beta) Users API.












Examples
Real world code examples
Get Identity
GET /v1/users/me
Get Identity
DashboardUserContextAuth
200
OK
api_key
first_name
id
last_name
organization
workspace
Playground
Test the endpoints live
import { Mistral } from "@mistralai/mistralai";
const mistral = new Mistral({
apiKey: "MISTRAL_API_KEY",
});
async function run() {
const result = await mistral.beta.users.getIdentity();
console.log(result);
}
run();
import { Mistral } from "@mistralai/mistralai";
const mistral = new Mistral({
apiKey: "MISTRAL_API_KEY",
});
async function run() {
const result = await mistral.beta.users.getIdentity();
console.log(result);
}
run();
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
res = mistral.beta.users.get_identity()
# Handle response
print(res)
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
res = mistral.beta.users.get_identity()
# Handle response
print(res)
curl https://api.mistral.ai/v1/users/me \
-X GET \
-H 'DashboardUserContextAuth: YOUR_DASHBOARDUSERCONTEXTAUTH_HERE' \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'curl https://api.mistral.ai/v1/users/me \
-X GET \
-H 'DashboardUserContextAuth: YOUR_DASHBOARDUSERCONTEXTAUTH_HERE' \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'200
{
"email": null,
"first_name": null,
"id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"last_name": null
}{
"email": null,
"first_name": null,
"id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"last_name": null
}